<?php
require_once __DIR__ . '/lib/QAModel.php';
$userId = 3; // Replace it with the authenticated user id

$QAModel = new QAModel();
$questionResult = $QAModel->getQuestion();
$questionId = $questionResult[0]["id"];

// Inserts new answer posted via the form
if (!empty($_POST['submit_answer'])) {
    $Insertanswer = $QAModel->insertAnswer($_POST['answer'], $userId, $questionId);
    header("Location: " . $_SERVER['PHP_SELF']);
    exit();
}

$answersResult = $QAModel->getAnswer();
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="css/style.css" type="text/css" />
    <link rel="stylesheet" href="css/form.css" type="text/css" />
    <link rel="stylesheet" href="css/star.css" type="text/css" />
    <script src="https://code.jquery.com/jquery-3.7.1.min.js" integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>
    <title>Simple HTML 5 star rating code</title>
</head>

<body>
    <div class="phppot-container">
        <h1>Simple HTML 5 star rating code</h1>
        <h2>
            <?php echo $questionResult[0]['question']; ?>
        </h2>
        <?php require_once __DIR__ . '/answer-form.php'; ?>

        <?php require_once __DIR__ . '/answer-list.php'; ?>

</body>
<script src="rating.js"></script>

</html>