function setRating(starIcon, answerId, rating) {
    $(starIcon).parent().find(".star-link").removeClass("filled");
    $(starIcon).parent().find(".star-link:lt(" + (rating) + ")").addClass("filled"); 
    submitRating(answerId, rating);
}

function submitRating(answerId, rating) {
    $.ajax({
        url: 'save_rating.php',
        type: 'POST',
        data: { 'rating': rating, 'answerId': answerId}
    });
}

$(document).ready(function() {
    $(".star-link").on("mouseover", function() {
        var index = $(this).index();
        $(this).parent().find(".star-link").each(function(loopIndex) {
            if(loopIndex <= index) {
                $(this).removeClass("hout");
                $(this).addClass("hovered");
            }
            if(loopIndex > index) {
                $(this).removeClass("hovered");
                $(this).addClass("hout");
            }
        });
    });

    $(".rating-container").on("mouseout", function() {
        $(".star-link").removeClass("hout");
        $(".star-link").removeClass("hovered");
    });
});